<?php
/**
 * The dashboard-specific functionality of the plugin.
 *
 * Defines the plugin name, version, and two examples hooks for how to
 * enqueue the dashboard-specific stylesheet and JavaScript.
 *
 * @since      1.0.0
 * @author     WPALLSUPPORT <info@wpallsupport.com>
 */
class WPAS_EDD_PayU_Latam_Admin{

    public function __construct() {

    }

    public function activate(){

    }

    public function deactivate(){

    }

    public function register_gateway_section( $gateway_sections ){
        $gateway_sections['wpas_edd_payu_latam'] = __( 'PayUmoney Latam', 'wpas-edd-payu-latam' );

        return $gateway_sections;
    }

    public function gateway_settings( $gateway_settings ) {

        $default_settings = array(
            'wpas_edd_payu_latam' => array(
                'id'   => 'wpas_edd_payu_latam',
                'name' => '<strong>' . __( 'PayUmoney Latam Payments Settings', 'wpas-edd-payu-latam' ) . '</strong>',
                'type' => 'header',
            ),
            'payu_latam_api_key' => array(
                'id'   => 'payu_latam_api_key',
                'name' => __( 'API Key', 'wpas-edd-payu-latam' ),
                'desc' => '',
                'type' => 'text',
                'size' => 'regular',
            ),
            'payu_latam_login' => array(
                'id'   => 'payu_latam_login',
                'name' => __( 'Login', 'wpas-edd-payu-latam' ),
                'desc' => '',
                'type' => 'text',
                'size' => 'regular',
            ),
            'payu_latam_merchant_id' => array(
                'id'   => 'payu_latam_merchant_id',
                'name' => __( 'Merchant ID', 'wpas-edd-payu-latam' ),
                'desc' => '',
                'type' => 'text',
                'size' => 'regular',
            ),
            'payu_latam_account_id' => array(
                'id'   => 'payu_latam_account_id',
                'name' => __( 'Account ID', 'wpas-edd-payu-latam' ),
                'desc' => '',
                'type' => 'text',
                'size' => 'regular',
            ),
        );

        $default_settings    = apply_filters( 'wpas_edd_default_payumoney_latam_settings', $default_settings );

        $gateway_settings['wpas_edd_payu_latam'] = $default_settings;

        return $gateway_settings;
    }
}